Bug 14654 - ld component collect 2 cores
Summary: ld component collect 2 cores
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ld.so   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-26 08:46 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 09:59:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-26 08:46:19 UTC
When compiling software ld core dumps with the following message

gcc -lgdbm -lm -lnsl -o imp_httpd main.o im_request.o im_write.o 
im_config.o im_read.o im_get.o im_proxy.o im_post.o im_shm.o im_log.o 
wrk_msgs.o ips_config.o 
http_ssl.o /export/duna/system/L_Lib/aztex.a  /export/duna/system/L_Lib/lib
ssl.a /export/duna/system/L_Lib/libcrypto.a   
collect2: ld terminated with signal 11 [Segmentation fault]
/usr/bin/ld: ips_config.o: invalid string offset 6912 >= 77 for section `'
/usr/bin/ld: ips_config.o: invalid string offset 8448 >= 77 for section `'
/usr/bin/ld: ips_config.o: invalid string offset 11008 >= 77 for section `'
/usr/bin/ld: ips_config.o: invalid string offset 12544 >= 77 for section `'
/usr/bin/ld: ips_config.o: invalid string offset 13824 >= 77 for section `'
make[1]: *** [http] Error 1

When I add to an archive with ar rv .. 
BFD: aud_usrdata.o: invalid string offset 6912 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 8448 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 11008 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 12544 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 6912 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 8448 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 11008 >= 77 for section `'
BFD: aud_usrdata.o: invalid string offset 12544 >= 77 for section `'

Could you please tell me what I must do. I am using the version 6.2 delux

Thanks inadvance

Paul

Comment 1 Cristian Gafton 2000-08-09 02:42:04 UTC
assigned to jakub

Comment 2 Jakub Jelinek 2000-08-14 09:59:16 UTC
I need all the .o files mentioned on the command line or something else which will allow me to reproduce it, can you tar them up and make it available for me using ftp or http or whatever?


Note You need to log in before you can comment on or make changes to this bug.